# Dart Sass for Pub

This transfomer simply compiles .scss and .sass files to .css files. 

Since it depends on [dart-sass](https://github.com/sass/dart-sass), there is no need to have [Sass](http://sass-lang.com/) installed.

## Usage

Add the following lines to your `pubspec.yaml`:

```yaml
dependencies:
  simple_sass_transformer: 0.0.2
transformers:
  - simple_sass_transformer
```

Assume you have `/path/to/file.scss` or `/path/to/file.sass`, add these lines to your `index.html`:

```html
<head>
  <link rel="stylesheet" href="/path/to/file.css">
</head>
```

If relative paths are not so pretty for you, you can instead use ```package:``` just like in your ```.dart``` files.
```css
@import 'package:your_package_name/styles';
```